<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\Enums\Score\RecordTypeEnum;
use App\Repositories\Models\Score\Member;
use App\Repositories\Models\Score\Record;
use Carbon\Carbon;
use Jiannei\Response\Laravel\Support\Facades\Response;

class HomeController extends Controller
{
    public function index()
    {
        $member = Member::query()->count();
        $recode = Record::query()->count();
        $dayInMoney = Record::query()->whereDate('created_at', Carbon::now()->toDateString())->where('type', RecordTypeEnum::IN)->sum('money');
        $dayOutMoney = Record::query()->whereDate('created_at', Carbon::now()->toDateString())->where('type', RecordTypeEnum::OUT)->sum('money');
        return Response::success(compact('member', 'recode', 'dayInMoney', 'dayOutMoney'));
    }
}
