<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Providers;

use Prettus\Repository\Providers\LumenRepositoryServiceProvider;

class RepositoryServiceProvider extends LumenRepositoryServiceProvider
{
    /**
     * Bootstrap services.
     */
    public function boot()
    {
        //基础
        $this->app->bind(\App\Contracts\Repositories\Base\DepartmentRepository::class, \App\Repositories\Eloquent\Base\DepartmentRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Base\ResourceRepository::class, \App\Repositories\Eloquent\Base\ResourceRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Base\AdminRepository::class, \App\Repositories\Eloquent\Base\AdminRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Base\RoleRepository::class, \App\Repositories\Eloquent\Base\RoleRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Base\MenuRepository::class, \App\Repositories\Eloquent\Base\MenuRepositoryEloquent::class);
        //课程
//        $this->app->bind(\App\Contracts\Repositories\Course\CategoryRepository::class, \App\Repositories\Eloquent\Course\CategoryRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Course\CourseRepository::class, \App\Repositories\Eloquent\Course\CourseRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Course\ChapterRepository::class, \App\Repositories\Eloquent\Course\ChapterRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Course\VideoRepository::class, \App\Repositories\Eloquent\Course\VideoRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Course\AttachRepository::class, \App\Repositories\Eloquent\Course\AttachRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Course\CommentRepository::class, \App\Repositories\Eloquent\Course\CommentRepositoryEloquent::class);
        //中医
//        $this->app->bind(\App\Contracts\Repositories\TCM\PatientRepository::class, \App\Repositories\Eloquent\TCM\PatientRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\TCM\CategoryRepository::class, \App\Repositories\Eloquent\TCM\CategoryRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\TCM\MedicalRecordRepository::class, \App\Repositories\Eloquent\TCM\MedicalRecordRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\TCM\PrescriptionRepository::class, \App\Repositories\Eloquent\TCM\PrescriptionRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\TCM\DrugRepository::class, \App\Repositories\Eloquent\TCM\DrugRepositoryEloquent::class);
        //信息
//        $this->app->bind(\App\Contracts\Repositories\Inform\CategoryRepository::class, \App\Repositories\Eloquent\Inform\CategoryRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Inform\InformationRepository::class, \App\Repositories\Eloquent\Inform\InformationRepositoryEloquent::class);
        //用户基础
//        $this->app->bind(\App\Contracts\Repositories\User\UserRepository::class, \App\Repositories\Eloquent\User\UserRepositoryEloquent::class);

        //财务
//        $this->app->bind(\App\Contracts\Repositories\Finance\ShopRepository::class, \App\Repositories\Eloquent\Finance\ShopRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Finance\BillRepository::class, \App\Repositories\Eloquent\Finance\BillRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Finance\OrderRepository::class, \App\Repositories\Eloquent\Finance\OrderRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Finance\CategoryRepository::class, \App\Repositories\Eloquent\Finance\CategoryRepositoryEloquent::class);
//        $this->app->bind(\App\Contracts\Repositories\Finance\StatisticalsRepository::class, \App\Repositories\Eloquent\Finance\StatisticalsRepositoryEloquent::class);

        //店铺用户积分
        $this->app->bind(\App\Contracts\Repositories\Score\MemberRepository::class, \App\Repositories\Eloquent\Score\MemberRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Score\CategoryRepository::class, \App\Repositories\Eloquent\Score\CategoryRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Score\RecordRepository::class, \App\Repositories\Eloquent\Score\RecordRepositoryEloquent::class);

    }
}
