<?php

namespace App\Repositories\Eloquent\Score;

use App\Repositories\Criteria\Score\CategoryCriteria;
use App\Repositories\Presenters\Score\CategoryPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\Score\CategoryRepository;
use App\Repositories\Models\Score\Category;
use App\Repositories\Validators\Score\CategoryValidator;

/**
 * Class CategoryRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Score;
 */
class CategoryRepositoryEloquent extends BaseRepository implements CategoryRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Category::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return CategoryValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(CategoryCriteria::class));
        $this->setPresenter(CategoryPresenter::class);
    }

}
