<?php

namespace App\Repositories\Eloquent\Score;

use App\Repositories\Criteria\Score\MemberCriteria;
use App\Repositories\Presenters\Score\MemberPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use App\Contracts\Repositories\Score\MemberRepository;
use App\Repositories\Models\Score\Member;
use App\Repositories\Validators\Score\MemberValidator;

/**
 * Class MemberRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Score;
 */
class MemberRepositoryEloquent extends BaseRepository implements MemberRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Member::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return MemberValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(MemberCriteria::class));
        $this->setPresenter(MemberPresenter::class);
    }

}
