<?php

namespace App\Repositories\Eloquent\Score;

use App\Repositories\Criteria\Score\RecordCriteria;
use App\Repositories\Presenters\Score\RecordPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\Score\RecordRepository;
use App\Repositories\Models\Score\Record;
use App\Repositories\Validators\Score\RecordValidator;

/**
 * Class RecordRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Score;
 */
class RecordRepositoryEloquent extends BaseRepository implements RecordRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Record::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return RecordValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RecordCriteria::class));
        $this->setPresenter(RecordPresenter::class);
    }

}
