<?php

namespace App\Repositories\Models\Base;

use App\Repositories\Models\Model;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class Resource.
 *
 * @package namespace App\Repositories\Models;
 */
class Resource extends Model implements Transformable
{
    protected $table = 'base_resources';
    use TransformableTrait;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['name', 'original_name', 'path', 'disk', 'url', 'size', 'status'];

    public function getUrlAttribute()
    {
        return path_to_url($this->attributes['path']);
    }

}
