<?php

namespace App\Repositories\Models\Score;

use App\Repositories\Models\Model;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class Category.
 *
 * @package namespace App\Repositories\Models\Finance;
 */
class Category extends Model implements Transformable
{
    use TransformableTrait;

    const PLATFORM_TYPE = 'PLATFORM_TYPE';
    const BUY_ACCOUNT = 'BUY_ACCOUNT';
    const BILL_TYPE = 'BILL_TYPE';
    protected $table = 'score_categories';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guarded = [];

    public static function byKeyGetOptions($key)
    {
        return self::query()->where('parent_id', self::query()->where('key', $key)->value('id'))->pluck('name', 'id');
    }

    public static function byIdGetName($id)
    {
        return self::query()->where('id', $id)->where('parent_id', '>', 0)->value('name');
    }

    public function parent()
    {
        return $this->belongsTo(self::class, 'parent_id', 'id');
    }

    public function getParentNameAttribute()
    {
        return self::query()->where('id', $this->attributes['parent_id'])->value('name');
    }

}
