<?php

namespace App\Repositories\Models\Score;

use App\Repositories\Models\Model;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class Member.
 *
 * @package namespace App\Repositories\Models\Score;
 */
class Member extends Model implements Transformable
{
    use TransformableTrait;

    protected $table = 'score_members';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guarded = [];

    public function setTagsAttribute($val)
    {
        if (count($val) == 0) return '';
        $this->attributes['tags'] = '-' . arr2str($val, '-') . '-';
    }

    public function getTagsAttribute($val)
    {
        return str2arr(trim($val, '-'), '-');
    }

}
