<?php

namespace App\Repositories\Transformers\Score;

use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\Score\Category;

/**
 * Class CategoryTransformer.
 *
 * @package namespace App\Repositories\Transformers\Score;
 */
class CategoryTransformer extends TransformerAbstract
{
    /**
     * Transform the Category entity.
     *
     * @param \App\Repositories\Models\Score\Category $model
     *
     * @return array
     */
    public function transform(Category $model)
    {
        return [
            'id' => (int)$model->id,
            'name' => $model->name,
            'parent_id' => $model->parent_id,
            'parent_name' => $model->parent ? $model->parent->name : '',
            'sort' => $model->sort,
            'value' => $model->value,
            'is_init' => $model->is_init,
            'status' => $model->status,

            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
