<?php

namespace App\Repositories\Transformers\Score;

use App\Repositories\Enums\ModelStatusEnum;
use App\Repositories\Enums\SexEnum;
use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\Score\Member;

/**
 * Class MemberTransformer.
 *
 * @package namespace App\Repositories\Transformers\Score;
 */
class MemberTransformer extends TransformerAbstract
{
    /**
     * Transform the Member entity.
     *
     * @param \App\Repositories\Models\Score\Member $model
     *
     * @return array
     */
    public function transform(Member $model)
    {
        return [
            'id' => (int)$model->id,
            'name' => $model->name,
            'mobile' => $model->mobile,
            'sex' => $model->sex,
            'sex_text' => SexEnum::getDescription($model->sex),
            'tags' => $model->tags,
            'score' => $model->score,
            'total_score' => $model->total_score,
            'remark' => $model->remark,
            'status' => $model->status,
            'status_text' => ModelStatusEnum::getDescription($model->status),
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
