<?php

namespace App\Repositories\Transformers\Score;

use App\Repositories\Enums\ModelStatusEnum;
use App\Repositories\Enums\Score\RecordTypeEnum;
use App\Repositories\Enums\SexEnum;
use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\Score\Record;

/**
 * Class RecordTransformer.
 *
 * @package namespace App\Repositories\Transformers\Score;
 */
class RecordTransformer extends TransformerAbstract
{
    /**
     * Transform the Record entity.
     *
     * @param \App\Repositories\Models\Score\Record $model
     *
     * @return array
     */
    public function transform(Record $model)
    {
        return [
            'id' => (int)$model->id,

            'name' => $model->name,
            'member_id' => $model->member_id,
            'member' => $model->member,
            'money' => $model->money,
            'score' => $model->score,
            'type' => $model->type,
            'type_text' => RecordTypeEnum::getDescription($model->type),
            'remark' => $model->remark,
            'status' => $model->status,
            'status_text' => ModelStatusEnum::getDescription($model->status),
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
